// =====================================================================
//  $Id: TRunStopCommand.cc,v 1.3 2003/10/06 17:02:37 goiwai Exp $
//  $Name: CLDAQ-1-11-00 $
//  $Log: TRunStopCommand.cc,v $
//  Revision 1.3  2003/10/06 17:02:37  goiwai
//  *** empty log message ***
//
//  Revision 1.2  2003/07/30 16:17:32  goiwai
//  ファイルにコミットログをつけることにしました.
//
// =====================================================================
#include "TRunStopCommand.hh"
#include "TRunManager.hh"

static const Tstring _name = "/run/stop";
static const Tstring _desc = "stop a run.";

TRunStopCommand::TRunStopCommand( TRunManager* manager )
  : TCommand( manager, _name, _desc )
{;}

TRunStopCommand::~TRunStopCommand()
{;}

Tvoid TRunStopCommand::Execute( const TstringList& arguments )
{
  theRunManager -> StopRun();
  return;
}
